Get liquidations
curl --request GET \
--url https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"market_id": "hl:perp:BTC-USDC",
"ts": "2026-05-01T13:21:04.512000+00:00",
"side": "long",
"size_base": "1.2500",
"price": "103420.00",
"notional_usd": "129275.00"
}
],
"cursor": "<string>"
}Market Data
Get liquidations
Historical liquidations feed for a perpetual market.
GET
/
api
/
v1
/
markets
/
{market_id}
/
perps
/
liquidations
Get liquidations
curl --request GET \
--url https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.allium.so/api/v1/markets/{market_id}/perps/liquidations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"market_id": "hl:perp:BTC-USDC",
"ts": "2026-05-01T13:21:04.512000+00:00",
"side": "long",
"size_base": "1.2500",
"price": "103420.00",
"notional_usd": "129275.00"
}
],
"cursor": "<string>"
}Alpha — The Market Data API is in alpha. Schema and response format may change. To request access, contact us or reach out to your account manager.
side is the direction of the liquidated position (long or short), not
the matching fill’s taker side. The cursor format is {ts_ms}_{id}. The query
window is currently capped at 7 days per request.Query Parameters
Was this page helpful?